curl --request PUT \
--url https://call.aiployees.com/api/user/tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
Update an existing mid call tool
curl --request PUT \
--url https://call.aiployees.com/api/user/tools/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint": "<string>",
"method": "<string>",
"timeout": 123,
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
]
}
'{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
GET, POST, PUT, PATCH, or DELETE{
"message": "Tool updated successfully",
"data": {
"id": 1,
"name": "update_customer_info",
"description": "Use this tool to update customer information in the system.",
"endpoint": "https://api.yourcompany.com/customers/update",
"method": "POST",
"timeout": 15,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
}
],
"schema": [
{
"name": "customer_name",
"type": "string",
"description": "Full name of the customer"
},
{
"name": "customer_age",
"type": "number",
"description": "Age of the customer"
},
{
"name": "newsletter_subscription",
"type": "boolean",
"description": "Whether customer wants to subscribe to newsletter"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T14:30:00.000000Z"
}
}
tool_ids parameter to attach tools when creating an assistanttool_ids parameter to manage which tools are assigned to an assistant